Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363624 - Deployment message are not shown correctly on IE11
Summary: Deployment message are not shown correctly on IE11
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Goodwin
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 08:57 UTC by Yadan Pei
Modified: 2016-09-19 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:55:53 UTC


Attachments (Terms of Use)
FailedDeploymentInfoOnIE (deleted)
2016-08-03 08:57 UTC, Yadan Pei
no flags Details
DeploymentRunning (deleted)
2016-08-17 06:24 UTC, Yadan Pei
no flags Details
ie deploy fixed (deleted)
2016-08-18 17:41 UTC, Steve Goodwin
no flags Details
RunningDeploymentMessageOnIE11 (deleted)
2016-08-19 06:50 UTC, Yadan Pei
no flags Details
RunningMessage (deleted)
2016-08-19 07:01 UTC, Yadan Pei
no flags Details
CancelMessage (deleted)
2016-08-19 07:01 UTC, Yadan Pei
no flags Details

Description Yadan Pei 2016-08-03 08:57:12 UTC
Description of problem:
For failed/cancelled deployment the console will give "<dc> <dc_num> failed/cancelled" message on overview page, on IE11, this message is not correctly displayed

Version-Release number of selected component (if applicable):
devenv-rhel7_4731
openshift v1.3.0-alpha.2+cab13c5
kubernetes v1.3.0+57fb9ac
etcd 2.3.0+git
IE11

How reproducible:
Always

Steps to Reproduce:
1. Create a standalone dc with wrong image
# oc run myrun-dc --image=test/hello-openshift
deploymentconfig "myrun-dc" created
2. Check overview
3. Deploy myrun-dc again and cancel it
# oc deploy myrun-dc --latest
Started deployment #2
Use 'oc logs -f dc/myrun' to track its progress.
# oc deploy myrun-dc --cancel

Actual results:
2-3. For failed/cancelled deployment, there is message "myrun #1 failed/cancelled" printed on overview page, but for IE11, this message is displayed not correctly(refer to attachment)

Expected results:
2-3. Deployment message should be displayed in well format

Additional info:

Comment 1 Yadan Pei 2016-08-03 08:57:41 UTC
Created attachment 1186984 [details]
FailedDeploymentInfoOnIE

Comment 2 Yadan Pei 2016-08-03 08:59:16 UTC
Maybe this is not related to us [userinterface_public_627], please let me know if need to remove these words from bug Summary

Comment 3 Jessica Forrester 2016-08-03 18:24:23 UTC
steve i think this at laest partially has something to do with deployments that aren't under a service, even in Chrome when i have one of these the deployment message showed up on the right instead of the left, the layout definitely seems wrong in this scenario

Comment 4 Yadan Pei 2016-08-17 06:24:18 UTC
Checked against devenv-rhel7_4849

openshift v1.3.0-alpha.3+f2dcada
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git


1. Create a DC
# oc run myrun-dc --image=test/hello-openshift
2. Check overview page when deployment is running
3. Cancel the deployment by clicking "Cancel" option on overview 


When deployment is running, message are shown on the right and layout looks wrong even gave a hard refresh. Please refer to attachment

Comment 5 Yadan Pei 2016-08-17 06:24:45 UTC
Created attachment 1191471 [details]
DeploymentRunning

Comment 6 Yadan Pei 2016-08-17 06:25:25 UTC
This issue reproduces on IE 11

Comment 7 Yadan Pei 2016-08-17 06:28:08 UTC
Is this fixed included in PR https://github.com/openshift/origin/pull/10470 ? If yes, I would test again when PR is merged in origin

Comment 8 Yadan Pei 2016-08-17 06:34:56 UTC
When deployment is cancelled/failed, the message shown well.

Now the only problem is the message display when deployment is running

Comment 9 Steve Goodwin 2016-08-18 17:40:24 UTC
This bug looks to be fixed.

Comment 10 Steve Goodwin 2016-08-18 17:41:04 UTC
Created attachment 1191951 [details]
ie deploy fixed

Comment 11 Yadan Pei 2016-08-19 06:50:00 UTC
Manually vendor latest origin-web-console into origin and tested against latest code


Now, the message display well on IE11

Comment 12 Yadan Pei 2016-08-19 06:50:42 UTC
Created attachment 1192046 [details]
RunningDeploymentMessageOnIE11

Comment 13 Yadan Pei 2016-08-19 07:00:10 UTC
Please discard my attachment ""RunningDeploymentMessageOnIE11", DC used in this screenshot is not correct

Comment 14 Yadan Pei 2016-08-19 07:00:35 UTC
Attach two correct screenshots

Comment 15 Yadan Pei 2016-08-19 07:01:08 UTC
Created attachment 1192047 [details]
RunningMessage

Comment 16 Yadan Pei 2016-08-19 07:01:36 UTC
Created attachment 1192048 [details]
CancelMessage


Note You need to log in before you can comment on or make changes to this bug.